Index: palm/trunk/UTIL/inifor/Makefile.gnu
===================================================================
--- palm/trunk/UTIL/inifor/Makefile.gnu	(revision 2696)
+++ palm/trunk/UTIL/inifor/Makefile.gnu	(revision 2696)
@@ -0,0 +1,105 @@
+#------------------------------------------------------------------------------#
+# This file is part of PALM/PALM-4U.
+#
+# PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
+# the terms of the GNU General Public License as published by the Free Software
+# Foundation, either version 3 of the License, or (at your option) any later 
+# version.
+#
+# PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# PALM. If not, see <http://www.gnu.org/licenses/>.
+#
+# Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
+# Offenbach
+#------------------------------------------------------------------------------#
+#
+# Current revisions:
+# -----------------
+# 
+# 
+# Former revisions:
+# -----------------
+# $Id$
+# Initial revision
+#
+# 
+#
+# Authors:
+# --------
+# @author Eckhard Kadasch
+#
+# Description:
+# ------------
+# This file serves as a templete makefile for compiling INIFOR with gfortran.
+#------------------------------------------------------------------------------#
+PROJECT = inifor
+PROJECT_PATH = .
+BIN_PATH  = $(PROJECT_PATH)/bin
+SRC_PATH  = $(PROJECT_PATH)/src
+TEST_PATH = $(PROJECT_PATH)/tests
+
+MODULES = $(SRC_PATH)/defs.mod $(SRC_PATH)/control.mod $(SRC_PATH)/util.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
+SOURCES = $(MODULES:%.mod=%.f90) $(SRC_PATH)/$(PROJECT).f90
+OBJECTS = $(SOURCES:%.f90=%.o)
+
+FC      = gfortran
+WRNGS   = -Wall -Wextra -Wsurprising -Waliasing -Wcharacter-truncation \
+		  -Wline-truncation -fbacktrace -fcheck=all -pedantic \
+		  -ffpe-trap=invalid,zero,underflow,overflow
+FFLAGS  = -fdefault-real-8 -Og -g $(WRNGS)
+INCLUDE = -I/home/ekadasch/local/include
+LIBRARY = -L/home/ekadasch/local/lib64 -lnetcdff
+
+.PHONY: all clean doc run tags test test-verbose $(PROJECT)
+
+$(PROJECT): $(OBJECTS) $(MODULES)
+	@echo ""
+	mkdir -p $(BIN_PATH)
+	$(FC) $(FFLAGS) $(OBJECTS) -o $(BIN_PATH)/$(PROJECT) -I$(SRC_PATH) $(LIBRARY)
+
+$(SRC_PATH)/%.o: $(SRC_PATH)/%.f90
+	@echo ""
+	$(FC) $(FFLAGS) -c $< -o $@ -J$(SRC_PATH) $(INCLUDE)
+
+$(SRC_PATH)/%.mod: $(SRC_PATH)/%.f90
+	@echo ""
+	$(FC) $(FFLAGS) -c $< -o $(@:%.mod=%.o) -J$(SRC_PATH) $(INCLUDE)
+
+all: clean $(PROJECT) test doc
+
+clean:
+	@echo ""
+	rm -rf $(OBJECTS) $(MODULES) $(BIN_PATH)/$(PROJECT)
+	rm -rf *.mod *.o
+	rm -rf ./doc/latex ./doc/html
+	rm -f $(SRC_PATH)/tags
+	rm -f *.files
+	rm -f palm-hsurf.nc
+	$(MAKE) -C $(TEST_PATH) clean
+	$(MAKE) -C $(SRC_PATH) clean
+
+doc:
+	@echo ""
+	doxygen ./doc/doxygen.config
+
+run: $(PROJECT)
+	@echo ""
+	$(BIN_PATH)/$(PROJECT)
+
+tags:
+	@echo ""
+	$(MAKE) -C $(SRC_PATH) tags
+
+test:
+	@echo "Running tests"
+	$(MAKE) -C $(TEST_PATH) test | grep Test
+	@echo "...done testing"
+
+test-verbose:
+	@echo "Running tests"
+	$(MAKE) -C $(TEST_PATH) test
+	@echo "...done testing"
Index: palm/trunk/UTIL/inifor/Makefile.ifort
===================================================================
--- palm/trunk/UTIL/inifor/Makefile.ifort	(revision 2696)
+++ palm/trunk/UTIL/inifor/Makefile.ifort	(revision 2696)
@@ -0,0 +1,102 @@
+#------------------------------------------------------------------------------#
+# This file is part of PALM/PALM-4U.
+#
+# PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
+# the terms of the GNU General Public License as published by the Free Software
+# Foundation, either version 3 of the License, or (at your option) any later 
+# version.
+#
+# PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# PALM. If not, see <http://www.gnu.org/licenses/>.
+#
+# Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
+# Offenbach
+#------------------------------------------------------------------------------#
+#
+# Current revisions:
+# -----------------
+# 
+# 
+# Former revisions:
+# -----------------
+# $Id$
+# Initial revision
+#
+# 
+#
+# Authors:
+# --------
+# @author Eckhard Kadasch
+#
+# Description:
+# ------------
+# This file serves as a templete makefile for compiling INIFOR with ifort.
+#------------------------------------------------------------------------------#
+PROJECT = inifor
+PROJECT_PATH = .
+BIN_PATH  = $(PROJECT_PATH)/bin
+SRC_PATH  = $(PROJECT_PATH)/src
+TEST_PATH = $(PROJECT_PATH)/tests
+
+MODULES = $(SRC_PATH)/defs.mod $(SRC_PATH)/control.mod $(SRC_PATH)/util.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
+SOURCES = $(MODULES:%.mod=%.f90) $(SRC_PATH)/$(PROJECT).f90
+OBJECTS = $(SOURCES:%.f90=%.o)
+
+FC      = ifort
+FFLAGS  = -g -real-size 64 -no-wrap-margin
+INCLUDE = -I/usr/local/pkg/netcdf/4.3.2/include
+LIBRARY = -L/usr/local/pkg/netcdf/4.3.2/lib -lnetcdff
+
+.PHONY: all clean doc run tags test test-verbose $(PROJECT)
+
+$(PROJECT): $(OBJECTS) $(MODULES)
+	@echo ""
+	mkdir -p $(BIN_PATH)
+	$(FC) $(FFLAGS) $(OBJECTS) -o $(BIN_PATH)/$(PROJECT) -I$(SRC_PATH) $(LIBRARY)
+
+$(SRC_PATH)/%.o: $(SRC_PATH)/%.f90
+	@echo ""
+	$(FC) $(FFLAGS) -c $< -o $@ -module $(SRC_PATH) $(INCLUDE)
+
+$(SRC_PATH)/%.mod: $(SRC_PATH)/%.f90
+	@echo ""
+	$(FC) $(FFLAGS) -c $< -o $(@:%.mod=%.o) -module $(SRC_PATH) $(INCLUDE)
+
+all: clean $(PROJECT) test doc
+
+clean:
+	@echo ""
+	rm -rf $(OBJECTS) $(MODULES) $(BIN_PATH)/$(PROJECT)
+	rm -rf *.mod *.o
+	rm -rf ./doc/latex ./doc/html
+	rm -f $(SRC_PATH)/tags
+	rm -f *.files
+	rm -f palm-hsurf.nc
+	$(MAKE) -C $(TEST_PATH) clean
+	$(MAKE) -C $(SRC_PATH) tags
+
+doc:
+	@echo ""
+	doxygen ./doc/doxygen.config
+
+run: $(PROJECT)
+	@echo ""
+	$(BIN_PATH)/$(PROJECT)
+
+tags:
+	@echo ""
+	$(MAKE) -C $(SRC_PATH) tags
+
+test:
+	@echo "Running tests"
+	$(MAKE) -C $(TEST_PATH) test | grep Test
+	@echo "...done testing"
+
+test-verbose:
+	@echo "Running tests"
+	$(MAKE) -C $(TEST_PATH) test
+	@echo "...done testing"
Index: palm/trunk/UTIL/inifor/README
===================================================================
--- palm/trunk/UTIL/inifor/README	(revision 2696)
+++ palm/trunk/UTIL/inifor/README	(revision 2696)
@@ -0,0 +1,58 @@
+INIFOR - Initialization and Forcing of PALM-4U (v1.1.5)
+
+INIFOR provides the meteorological fields required to initialize and drive the
+urban-climate model PALM-4U. The required meteorological fields are
+interpolated from output data of the meso-scale model COSMO.
+
+COMPILATION
+
+1. Customize ./Makefile and ./tests/Makefile (netCDF library location, compiler
+   and parameters, use Makefile.ifort as a template if you want to use the Intel
+   Fortran compiler)
+2. $ make
+
+USAGE
+
+1. Customize ./namelist (number or grid points and spacings, end_time)
+2. $ ./bin/inifor -path <scenario path> -date <YYYYMMDD> -clat <latitude> -clon <longitude>
+
+All COMMAND-LINE PARAMETERS
+
+-date <date>: Start date of the simulation in the form YYYMMDD. Currently,
+    INIFOR assumes that the simulation starts at O UTC on that day.
+    Default: 20130721
+
+-hhl <netCDF file>: Location of the netCDF file containing the vertical COSMO-DE
+    grid (hhh = height of half layers, i.e. vertical cell faces).
+    Default: <scenario path>/hhl.nc
+
+-mode profile: Produce average profiles instead of three-dimensional fields as 
+    initial conditions.
+
+-n <namelist file>: Location of the PALM-4U namelist file. INIFOR expects the
+    file to contain two namelists, inipar and d3par, from which it will read
+    grid parameters and the simulation time. Default: ./namelist
+
+-o <ouput file>: Name of the INIFOR output file. Default: ./palm-4u-input.nc
+
+-p0 <pressure>: Surface pressure at z=0 in the PALM-4U domain [Pa].
+    Default: 1e5 Pa = 1000 hPa
+
+-path <scenario path>: Scenario path, i.e. the path of the meteorological input
+    data. Default: ./
+
+-soil <netCDF file>: Location of the netCDF file containing the COSMO-DE soil type
+    map.
+    Default: <scenario path>/soil.nc
+
+-static <static driver file>: Location of the netCDF file containing the static
+    driver file for the case to be simulated with PALM-4U. Optional parameter.
+    Default: None
+
+-ug <velocity>: Specifies the geostrophic wind in x direction [m/s]. Default: 0
+
+-vg <velocity>: Specifies the geostrophic wind in y direction [m/s]. Default: 0
+
+-z0 <height>: Specifies the elevation of the the PALM-4U domain above sea level [m].
+    Default: 35 m
+
Index: palm/trunk/UTIL/inifor/namelist
===================================================================
--- palm/trunk/UTIL/inifor/namelist	(revision 2696)
+++ palm/trunk/UTIL/inifor/namelist	(revision 2696)
@@ -0,0 +1,7 @@
+ &inipar nx = 4679, ny = 3939, nz = 10
+         dx = 10., dy = 10., dz = 10.
+         longitude = 13.082744, latitude = 52.325079
+ /
+
+ &d3par  end_time = 3600.0
+ /
Index: palm/trunk/UTIL/inifor/src/Makefile
===================================================================
--- palm/trunk/UTIL/inifor/src/Makefile	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/Makefile	(revision 2696)
@@ -0,0 +1,48 @@
+#> @file src/Makefile
+#------------------------------------------------------------------------------!
+# This file is part of PALM/PALM-4U.
+#
+# PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
+# the terms of the GNU General Public License as published by the Free Software
+# Foundation, either version 3 of the License, or (at your option) any later 
+# version.
+#
+# PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# PALM. If not, see <http://www.gnu.org/licenses/>.
+#
+# Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
+# Offenbach
+#------------------------------------------------------------------------------!
+#
+# Current revisions:
+# -----------------
+# 
+# 
+# Former revisions:
+# -----------------
+# $Id$
+# Initial revision
+#
+# 
+#
+# Authors:
+# --------
+# @author Eckhard Kadasch
+#
+# Description:
+# ------------
+#> This makefile may be used to generate index files using ctags for easy source
+#> code navigation in text editors.
+#------------------------------------------------------------------------------!
+.PHONY: tags clean
+
+tags:
+	ctags *.f90
+
+clean:
+	rm -f tags
+
Index: palm/trunk/UTIL/inifor/src/control.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/control.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/control.f90	(revision 2696)
@@ -0,0 +1,176 @@
+!> @file src/control.f90
+!------------------------------------------------------------------------------!
+! This file is part of PALM/PALM-4U.
+!
+! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
+! the terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later 
+! version.
+!
+! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
+! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
+! Offenbach
+!------------------------------------------------------------------------------!
+!
+! Current revisions:
+! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+! Initial revision
+!
+! 
+!
+! Authors:
+! --------
+! @author Eckhard Kadasch
+!
+! Description:
+! ------------
+!> The control module provides routines for timing INIFOR and writing runtime
+!> feedback to the terminal and a log file.
+!------------------------------------------------------------------------------!
+ MODULE control
+
+    USE defs,                                                                  &
+        ONLY:  LNAME, dp
+
+    USE util,                                                                  &
+        ONLY:  real_to_str, real_to_str_f
+
+    IMPLICIT NONE
+
+    CHARACTER (LEN=5000) ::  message = ''
+
+ CONTAINS
+
+    SUBROUTINE report(routine, message)
+
+       CHARACTER(LEN=*), INTENT(IN) ::  routine
+       CHARACTER(LEN=*), INTENT(IN) ::  message
+       INTEGER                      ::  u
+       LOGICAL, SAVE                ::  is_first_run = .TRUE.
+
+       PRINT *, "inifor: " // TRIM(message) // "  [ " // TRIM(routine) // " ]"
+
+       IF (is_first_run)  THEN
+          OPEN( NEWUNIT=u, FILE='inifor.log', STATUS='replace' )
+          is_first_run = .FALSE.
+       ELSE
+          OPEN( NEWUNIT=u, FILE='inifor.log', POSITION='append', STATUS='old' )
+       END IF
+          
+       WRITE(u, *)  TRIM(message) // "  [ " // TRIM(routine) // " ]"
+
+       CLOSE(u)
+
+    END SUBROUTINE report
+
+
+    SUBROUTINE warn(routine, message)
+
+       CHARACTER(LEN=*), INTENT(IN) ::  routine
+       CHARACTER(LEN=*), INTENT(IN) ::  message
+
+       CALL report(routine, "WARNING: " // TRIM(message))
+
+    END SUBROUTINE warn
+
+
+    SUBROUTINE abort(routine, message)
+
+       CHARACTER(LEN=*), INTENT(IN) ::  routine
+       CHARACTER(LEN=*), INTENT(IN) ::  message
+
+       CALL report(routine, "ERROR: " // TRIM(message) // " Stopping.")
+       STOP
+
+    END SUBROUTINE abort
+
+
+    SUBROUTINE run_control(mode, budget)
+
+       CHARACTER(LEN=*), INTENT(IN) ::  mode, budget
+       REAL(dp), SAVE               ::  t0, t1
+       REAL(dp), SAVE               ::  t_comp=0.0_dp, &
+                                        t_alloc=0.0_dp, &
+                                        t_init=0.0_dp, &
+                                        t_read=0.0_dp, &
+                                        t_total=0.0_dp, &
+                                        t_write=0.0_dp
+       CHARACTER(LEN=*), PARAMETER  ::  fmt='(F6.2)'
+
+
+       SELECT CASE(TRIM(mode))
+
+       CASE('init')
+          CALL CPU_TIME(t0)
+
+       CASE('time')
+
+          CALL CPU_TIME(t1)
+
+          SELECT CASE(TRIM(budget))
+
+             CASE('alloc')
+                t_alloc = t_alloc + t1 - t0
+
+             CASE('init')
+                t_init = t_init + t1 - t0
+
+             CASE('read')
+                t_read = t_read + t1 - t0
+
+             CASE('write')
+                t_write = t_write + t1 - t0
+
+             CASE('comp')
+                t_comp = t_comp + t1 - t0
+
+             CASE DEFAULT
+                CALL abort('run_control', "Time Budget '" // TRIM(mode) // "' is not supported.")
+
+          END SELECT
+
+          t0 = t1
+
+       CASE('report')
+           t_total = t_init + t_read + t_write + t_comp
+
+           CALL report('run_control', " *** CPU time ***")
+
+           CALL report('run_control', "Initialization: " // real_to_str(t_init)  // &
+                       " s (" // TRIM(real_to_str(100*t_init/t_total, fmt))      // " %)")
+
+           CALL report('run_control', "(De-)Allocation:" // real_to_str(t_alloc)  // &
+                       " s (" // TRIM(real_to_str(100*t_alloc/t_total, fmt))      // " %)")
+
+           CALL report('run_control', "Reading data:   " // real_to_str(t_read)  // &
+                       " s (" // TRIM(real_to_str(100*t_read/t_total, fmt))      // " %)")
+
+           CALL report('run_control', "Writing data:   " // real_to_str(t_write) // &
+                       " s (" // TRIM(real_to_str(100*t_write/t_total, fmt))     // " %)")
+
+           CALL report('run_control', "Computation:    " // real_to_str(t_comp)  // &
+                       " s (" // TRIM(real_to_str(100*t_comp/t_total, fmt))      // " %)")
+
+           CALL report('run_control', "Total:          " // real_to_str(t_total) // &
+                       " s (" // TRIM(real_to_str(100*t_total/t_total, fmt))     // " %)")
+
+       CASE DEFAULT
+          CALL abort('run_control', "Mode '" // TRIM(mode) // "' is not supported.")
+
+       END SELECT
+
+    END SUBROUTINE run_control
+
+ END MODULE
+
Index: palm/trunk/UTIL/inifor/src/defs.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/defs.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/defs.f90	(revision 2696)
@@ -0,0 +1,78 @@
+!> @file src/defs.f90
+!------------------------------------------------------------------------------!
+! This file is part of PALM/PALM-4U.
+!
+! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
+! the terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later 
+! version.
+!
+! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
+! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
+! Offenbach
+!------------------------------------------------------------------------------!
+!
+! Current revisions:
+! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+! Initial revision
+!
+! 
+!
+! Authors:
+! --------
+! @author Eckhard Kadasch
+!
+! Description:
+! ------------
+!> The defs module provides global constants used in INIFOR.
+!------------------------------------------------------------------------------!
+ MODULE defs
+ 
+ IMPLICIT NONE
+ 
+ ! Parameters for type definitions
+ INTEGER, PARAMETER  ::  dp    = 8   !< double precision (8 bytes = 64 bits)
+ INTEGER, PARAMETER  ::  sp    = 4   !< single precision (4 bytes = 32 bits)
+ INTEGER, PARAMETER  ::  hp    = 2   !< half precision (2 bytes = 16 bits)
+ INTEGER, PARAMETER  ::  PATH  = 140 !< length of file path strings
+ INTEGER, PARAMETER  ::  LNAME = 150 !< length of long name strings
+ INTEGER, PARAMETER  ::  SNAME = 40  !< length of short name strings
+ INTEGER, PARAMETER  ::  DATE  = 10  !< length of date strings
+
+ ! Trigonomentry
+ REAL(dp), PARAMETER ::  PI = 3.14159265358979323846264338_dp !< Ratio of a circle's circumference to its diamter [-]
+ REAL(dp), PARAMETER ::  TO_RADIANS = PI / 180.0_dp           !< Conversion factor from degrees to radiant [-]
+ REAL(dp), PARAMETER ::  TO_DEGREES = 180.0_dp / PI           !< Conversion factor from radians to degrees [-]
+
+ ! COSMO-DE parameters
+ INTEGER, PARAMETER  ::  WATER_ID = 9                         !< Integer corresponding to the water soil type in COSMO-DE [-]
+ REAL(dp), PARAMETER ::  EARTH_RADIUS = 6371229.0_dp          !< Earth radius used in COSMO-DE [m]
+ REAL(dp), PARAMETER ::  P_SL = 1e5_dp                        !< Reference pressure for computation of COSMO-DE's basic state pressure [Pa]
+ REAL(dp), PARAMETER ::  T_SL = 288.15_dp                     !< Reference temperature for computation of COSMO-DE's basic state pressure [K]
+ REAL(dp), PARAMETER ::  BETA = 42.0_dp                       !< logarithmic lapse rate, dT / d ln(p), for computation of COSMO-DE's basic state pressure [K]
+ REAL(dp), PARAMETER ::  RD   = 287.05_dp                     !< specific gar constant of dry air, used in computation of COSMO-DE's basic state [J/kg/K]
+ REAL(dp), PARAMETER ::  G    = 9.80665_dp                    !< acceleration of Earth's gravity, used in computation of COSMO-DE's basic state [m/s/s]
+ REAL(dp), PARAMETER ::  RHO_L = 1e3_dp                       !< density of liquid water, used to convert W_SO from [kg/m^2] to [m^3/m^3], in [kg/m^3]
+
+ ! PALM-4U parameters
+ REAL(dp), PARAMETER ::  P_REF   = 1e5_dp                     !< Reference pressure for potential temperature [Pa]
+ REAL(dp), PARAMETER ::  RD_PALM = 287.0_dp                   !< specific gas constant of dry air, used in computation of PALM-4U's potential temperature [J/kg/K]
+ REAL(dp), PARAMETER ::  CP_PALM = 1005.0_dp                  !< heat capacity of dry air at constant pressure, used in computation of PALM-4U's potential temperature [J/kg/K]
+
+ ! INIFOR parameters
+ INTEGER, PARAMETER          ::  FILL_ITERATIONS = 10         !< Number of iterations for extrapolating soil data into COSMO-DE water cells [-]
+ REAL(dp), PARAMETER         ::  FORCING_FREQ = 3600.0_dp     !< Reference pressure for potential temperature [Pa]
+ CHARACTER(LEN=*), PARAMETER ::  VERSION = '1.1.4'            !< path to script for generating input file names
+
+ END MODULE defs
